Page MenuHomePhabricator

[Tsan] Make the user_fopen.cc and user_malloc.cc tests Linux-specific
ClosedPublic

Authored by kutuzov.viktor.84 on Oct 8 2014, 6:06 AM.

Details

Summary

Since on FreeBSD interceptors are non-weak symbols, it doesn't seem to be possible to override them.

Related revision: D4418.

Diff Detail

Repository
rL LLVM

Event Timeline

kutuzov.viktor.84 retitled this revision from to [Tsan] Make the user_fopen.cc and user_malloc.cc tests Linux-specific.
kutuzov.viktor.84 updated this object.
kutuzov.viktor.84 edited the test plan for this revision. (Show Details)
kutuzov.viktor.84 added reviewers: kcc, samsonov, glider.
kutuzov.viktor.84 added subscribers: Unknown Object (MLST), emaste.
glider accepted this revision.Oct 8 2014, 6:09 AM
glider edited edge metadata.

LGTM

test/tsan/Linux/user_fopen.cc
5 ↗(On Diff #14566)

s/defined/Defined

test/tsan/Linux/user_malloc.cc
4 ↗(On Diff #14566)

pls change s/defined/Defined while you're at it.

This revision is now accepted and ready to land.Oct 8 2014, 6:09 AM
samsonov added inline comments.Oct 8 2014, 1:57 PM
test/tsan/Linux/lit.local.cfg
10 ↗(On Diff #14566)

Why override the parent directory's decision? We can mark tests as unsupported there for various reasons. IMO you should just use

if root.host_os not in ['Linux']:
  config.unsupported = True
kutuzov.viktor.84 edited edge metadata.

The config reworked and comments fixed as suggested.

samsonov accepted this revision.Oct 9 2014, 6:14 PM
samsonov edited edge metadata.

LGTM

Diffusion closed this revision.Oct 10 2014, 12:05 AM
Diffusion updated this revision to Diff 14703.

Closed by commit rL219478 (authored by vkutuzov).